Extends DefaultLogger to strip out empty targets.

@author Andreas Aderhold andi@binarycloud.com

copyright | 2001,2002 THYRELL. All rights reserved @version $Id$ @package phing.listener
author | Andreas Aderhold <andi@binarycloud.com> @copyright 2001,2002 THYRELL. All rights reserved @version $Id$ @see BuildEvent @package phing.listener

### Methods

## Construct a new default logger.

    __construct()

Inherited

inherited_from | \DefaultLogger::__construct()

## Prints whether the build succeeded or failed, and any errors that occured during the build.

    buildFinished(\BuildEvent $event)

Inherited

Also outputs the total build-time.

inherited_from | \DefaultLogger::buildFinished()

### Parameters

#### $event

`object`

The BuildEvent @see BuildEvent::getException()

## Sets the start-time when the build started.

    buildStarted(\BuildEvent $event)

Inherited

Used for calculating the build-time.

inherited_from | \DefaultLogger::buildStarted()

### Parameters

#### $event

`object`

The BuildEvent @access public

## Formats a time micro integer to human readable format.

    formatTime($micros)

Inherited Static

@param integer The time stamp

access | private
inherited_from | \DefaultLogger::formatTime()

### Parameters

#### $micros

## messageLogged()

    messageLogged(\BuildEvent $event)

### Parameters

#### $event

## Sets the error stream.

    setErrorStream(\OutputStream $err)

Inherited

see | \global\BuildLogger#setErrorStream()
inherited_from | \DefaultLogger::setErrorStream()

### Parameters

#### $err

`\OutputStream`

## Set the msgOutputLevel this logger is to respond to.

    setMessageOutputLevel(int $level)

Inherited

Only messages with a message level lower than or equal to the given level are output to the log.

<

p> Constants for the message levels are in Project.php. The order of the levels, from least to most verbose, is:

- Project::MSG_ERR
- Project::MSG_WARN
- Project::MSG_INFO
- Project::MSG_VERBOSE
- Project::MSG_DEBUG

The default message level for DefaultLogger is Project::MSG_ERR.

see | \global\BuildLogger#setMessageOutputLevel()
inherited_from | \DefaultLogger::setMessageOutputLevel()

### Parameters

#### $level

`int`

The logging level for the logger.

## Sets the output stream.

    setOutputStream(\OutputStream $output)

Inherited

see | \global\BuildLogger#setOutputStream()
inherited_from | \DefaultLogger::setOutputStream()

### Parameters

#### $output

`\OutputStream`

## Fired when a target has finished.

    targetFinished(\BuildEvent $event)

We don't need specific action on this event. So the methods are empty.

### Parameters

#### $event

`object`

The BuildEvent @see BuildEvent::getException()

## targetStarted()

    targetStarted(\BuildEvent $event)

### Parameters

#### $event

## Fired when a task has finished.

    taskFinished(\BuildEvent $event)

Inherited

We don't need specific action on this event. So the methods are empty.

inherited_from | \DefaultLogger::taskFinished()

### Parameters

#### $event

`object`

The BuildEvent @access public @see BuildEvent::getException()

## Fired when a task is started.

    taskStarted(\BuildEvent $event)

Inherited

We don't need specific action on this event. So the methods are empty.

inherited_from | \DefaultLogger::taskStarted()

### Parameters

#### $event

`object`

The BuildEvent @access public @see BuildEvent::getTask()

## Get the message to return when a build failed.

    getBuildFailedMessage() : string

Inherited

inherited_from | \DefaultLogger::getBuildFailedMessage()

### Returns

`string`The classic "BUILD FAILED"

## Get the message to return when a build succeeded.

    getBuildSuccessfulMessage() : string

Inherited

inherited_from | \DefaultLogger::getBuildSuccessfulMessage()

### Returns

`string`The classic "BUILD FINISHED"

## Prints a message to console.

    printMessage(string $message, \OutputStream $stream, int $priority) : void

Inherited

inherited_from | \DefaultLogger::printMessage()

### Parameters

#### $message

`string`

The message to print. Should not be `null`.

#### $stream

`resource`

The stream to use for message printing.

#### $priority

`int`

The priority of the message. (Ignored in this implementation.)

### Properties

## Stream to use for error output.

    $err : \OutputStream

Inherited

inherited_from | \DefaultLogger::$$err

##

    $msgOutputLevel : int

Inherited

The default is

    Project::MSG_VERBOSE

.

inherited_from | \DefaultLogger::$$msgOutputLevel

## Stream to use for standard output.

    $out : \OutputStream

Inherited

inherited_from | \DefaultLogger::$$out

##

    $startTime

Inherited

@var int

inherited_from | \DefaultLogger::$$startTime

##

    $targetName

### Constants

## Size of the left column in output.

    LEFT_COLUMN_SIZE : int

Inherited

The default char width is 12.

inherited_from | \DefaultLogger::LEFT_COLUMN_SIZE